Pre-requisites

Before installing, make sure you have the following pre-requisites installed: